# TdApi.TrendingStickerSets (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: TrendingStickerSets

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.TrendingStickerSets

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.TrendingStickerSets

Enclosing class:
  TdApi

public static final class TdApi.TrendingStickerSets extends TdApi.Object
Represents a list of trending sticker sets.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`boolean`
`isPremium`
True, if the list contains sticker sets with premium stickers.
`TdApi.StickerSetInfo[]`
`sets`
List of trending sticker sets.
`int`
`totalCount`
Approximate total number of trending sticker sets.

## Constructor Summary

Constructors
Constructor
Description
`TrendingStickerSets()`
Represents a list of trending sticker sets.
`TrendingStickerSets(int totalCount, TdApi.StickerSetInfo[] sets, boolean isPremium)`
Represents a list of trending sticker sets.
`TrendingStickerSets(DataInput input)`
Represents a list of trending sticker sets.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### totalCount

public int totalCount
Approximate total number of trending sticker sets.

### sets

public TdApi.StickerSetInfo[] sets
List of trending sticker sets.

### isPremium

public boolean isPremium
True, if the list contains sticker sets with premium stickers.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### TrendingStickerSets

public TrendingStickerSets()
Represents a list of trending sticker sets.

### TrendingStickerSets

public TrendingStickerSets(int totalCount, TdApi.StickerSetInfo[] sets, boolean isPremium)
Represents a list of trending sticker sets.

Parameters:
  `totalCount` - int Approximate total number of trending sticker sets.
  `sets` - StickerSetInfo[] List of trending sticker sets.
  `isPremium` - boolean True, if the list contains sticker sets with premium stickers.

### TrendingStickerSets

public TrendingStickerSets(DataInput input) throws IOException
Represents a list of trending sticker sets.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`